## Review Calls to PowerShell's Set-ExecutionPolicy

### Summary

Ensure that all calls to `Set-ExecutionPolicy` are reviewed to ensure they don't inappropriately weaken the permissions
available to untrusted PowerShell scripts.

### Details

The `Set-ExecutionPolicy` commandlet can be used to dynamically change the permissions available to a PowerShell script.
In a locked-down environment, the policy should either be `Restricted` or `AllSigned`, or possibly `RemoteSigned`. Setting
the policy to `Unrestricted` or `Bypass` allows PowerShell to run any script passed to it, potentially including malware.

For more information, see:
* [Set-ExecutionPolicy](https://docs.microsoft.com/en-us/powershell/module/microsoft.powershell.security/set-executionpolicy?view=powershell-6)
* [Windows PowerShell Heading Off Malicious Code](https://technet.microsoft.com/en-us/library/2008.01.powershell.aspx)

### Severity Considerations

Setting an execution policy temporarily or in an environment where only trusted scripts are run would be relatively low risk.
