## Weak/Broken Hash Algorithm

### Summary
A weak or broken hash algorithm was detected.

### Details
The use of signers like `MD5WithRSAEncryption` in cryptography providers like BouncyCastle
is susceptible to colission attacks. Anything that uses MD2, MD4, MD5 or SHA-1 is considered
insecure.

Replace the use of insecure hashing algorithms with more secure alternatives, from SHA256 onward.
See the list of available BouncyCastle signers here:
https://github.com/neoeinstein/bouncycastle/blob/master/crypto/src/security/SignerUtilities.cs.

For more information, see https://codeql.github.com/codeql-query-help/python/py-weak-sensitive-data-hashing/.

### Severity Considerations
Data signed using broken hash algorithms like MD2, MD4, MD5 and SHA1 can be broken using specially designed hardware/software.

