## Dangerous T-SQL Command

### Summary

The content flagged is a potentially dangerous T-SQL command

### Details

The following strings are flagged:

* [dbcc writepage](https://krishnakumarsql.wordpress.com/2014/02/11/dbcc-writepage-dangerous-sqlserver-command/): Low-level command that can modify any page in the database.
* [sp_configure](https://msdn.microsoft.com/en-us/library/ms188787.aspx): Gets or sets global configuration variables for the database server.
* [sp_executesql](https://msdn.microsoft.com/en-us/library/ms188001.aspx): Execute a SQL statement dynamically.
* [sp_makewebtask](http://www.codemag.com/Article/0505041): Create a web page based on the results of a query. Removed in later versions of SQL Server.
* [xp_cmdshell](https://msdn.microsoft.com/en-us/library/ms175046.aspx): Execute system commands
* [xp_instance_regread](https://social.msdn.microsoft.com/Forums/sqlserver/en-US/e4cc9df2-81c1-49e0-b01a-4cf27ac29861/query-the-registry?forum=transactsql): Read from the Windows registry
* [xp_regread](https://www.sswug.org/alexanderchigrik/sql-server/undocumented-sql-server-2014-extended-stored-procedures-part-1/)`: Read from the Windows registry
* [xp_regwrite](https://www.sswug.org/alexanderchigrik/sql-server/undocumented-sql-server-2014-extended-stored-procedures-part-1/): Write to the Windows registry
* [xp_sendmail](https://technet.microsoft.com/en-us/library/ms189505(v=sql.105).aspx): Sends e-mail from the database. Will be removed in in future versions of SQL Server.

### Severity Considerations

Strictly speaking, all of these can be used safely, provided the data passed to these stored
procedures is trusted. Ensure that all data originates from your application or from a trusted
user.

